package hk.quantr.logic;

import org.netbeans.api.settings.ConvertAsProperties;
import org.openide.awt.ActionID;
import org.openide.awt.ActionReference;
import org.openide.util.Lookup;
import org.openide.windows.TopComponent;
import org.openide.util.NbBundle.Messages;
import org.openide.util.Utilities;

/**
 * Top component which displays something.
 */
@ConvertAsProperties(
		dtd = "-//hk.quantr.logic//LogicEditor//EN",
		autostore = false
)
@TopComponent.Description(
		preferredID = "LogicEditorTopComponent",
		iconBase = "hk/quantr/logic/icon_16_16.png",
		persistenceType = TopComponent.PERSISTENCE_ALWAYS
)
@TopComponent.Registration(mode = "editor", openAtStartup = false)
@ActionID(category = "Window", id = "hk.quantr.logic.LogicEditorTopComponent")
@ActionReference(path = "Menu/Window" /*, position = 333 */)
@TopComponent.OpenActionRegistration(
		displayName = "#CTL_LogicEditorAction",
		preferredID = "LogicEditorTopComponent"
)
@Messages({
	"CTL_LogicEditorAction=Logic Editor",
	"CTL_LogicEditorTopComponent=LogicEditor Window",
	"HINT_LogicEditorTopComponent=This is a LogicEditor window"
})
public final class LogicEditorTopComponent extends TopComponent {

	public LogicEditorTopComponent() {
		initComponents();
		setName(Bundle.CTL_LogicEditorTopComponent());
		setToolTipText(Bundle.HINT_LogicEditorTopComponent());

	}

	/**
	 * This method is called from within the constructor to initialize the form. WARNING: Do NOT modify this code. The content of this method is always regenerated by the Form
	 * Editor.
	 */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        setLayout(new java.awt.BorderLayout());
    }// </editor-fold>//GEN-END:initComponents

    // Variables declaration - do not modify//GEN-BEGIN:variables
    // End of variables declaration//GEN-END:variables
	@Override
	public void componentOpened() {
		LogicPropertyWindowTopComponent c=new LogicPropertyWindowTopComponent();
		c.open();
		c.requestActive();
	}

	@Override
	public void componentClosed() {
	}

	void writeProperties(java.util.Properties p) {
		// better to version settings since initial version as advocated at
		// http://wiki.apidesign.org/wiki/PropertyFiles
		p.setProperty("version", "1.0");
		// TODO store your settings
	}

	void readProperties(java.util.Properties p) {
		String version = p.getProperty("version");
		// TODO read your settings according to their version
	}

}
